Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ActionFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ifs.utils.action.ActionFailedException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ProcessDestroyedException

    public class ActionFailedException

extends java.lang.Exception

The exception raised when an Action could not be performed or failed while being executed by an ActionQueue. This exception may include nested exceptions (Throwable objects) which describe the failure in more detail.

See Also:
  Serialized Form
(Unpublished)
Modified:
  lsaenz 07/25/2000 Removed (String, Throwable)., lsaenz 07/17/2000 Changed nested Exception to Throwable., lsaenz 06/25/2000 Updated comments., lsaenz 12/14/1999 Added new constructor., lsaenz 11/15/1999 Created.

Constructor Summary
`ActionFailedException()` Creates a new ActionFailedException without specifying a reason for the failure.
`ActionFailedException(java.lang.String reason)` Creates a new ActionFailedException.
`ActionFailedException(java.lang.Throwable err)` Creates a new ActionFailedException.

Method Summary
`java.lang.Throwable` | `getNestedException()` Returns the nested Throwable from the underlying failure.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionFailedException

    public ActionFailedException()

  Creates a new ActionFailedException without specifying a reason for the failure.

  (Unpublished)

### ActionFailedException

    public ActionFailedException(java.lang.String reason)

  Creates a new ActionFailedException.

  Parameters:
    `reason` - the reason for the failure.
  (Unpublished)

### ActionFailedException

    public ActionFailedException(java.lang.Throwable err)

  Creates a new ActionFailedException.

  Parameters:
    `err` - the Throwable that caused the failure.
  (Unpublished)

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Description copied from class: `ActionFailedException`
  Returns the nested Throwable from the underlying failure.

  Returns:
    the Throwable raised because of the failure, or null, if no nested exception is defined.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD